#include <xf86drm.h>
#include <xf86drmMode.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include <errno.h>
#include <string.h>

struct drmHandle
{
    uint32_t width;  
    uint32_t height;
    uint32_t pitch;
    uint32_t handle;
    uint32_t size;
    uint8_t *vaddr;
    uint32_t fb_id;
};

extern drmModeConnector *conn;
extern drmModeRes *res;
extern drmModePlaneRes *plane_res;
extern uint32_t conn_id;
extern uint32_t crtc_id;
extern uint32_t plane_id;

void initDRM(int fd, struct drmHandle *buf);
int createFB(int fd, struct drmHandle *buf);